Bug 448107 - samba build failure with libcap-devel
samba build failure with libcap-devel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 10:18 EDT by Guenther Deschner
Modified: 2008-07-03 05:34 EDT (History)
0 users

See Also:
Fixed In Version: 3.2.0-2.17.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-03 05:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
use public capability api (3.12 KB, patch)
2008-05-23 10:30 EDT, Guenther Deschner
no flags Details | Diff

  None (edit)
Description Guenther Deschner 2008-05-23 10:18:52 EDT
Description of problem:


Samba fails to build as the libcap headers are not in sync with the ones of
libcap-devel

Build fails with:
smbd/oplock_linux.c:36: error: conflicting types for  ‘capget’
/usr/include/sys/capability.h:110: error: previous  declaration of ‘capset’ was here

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Guenther Deschner 2008-05-23 10:30:59 EDT
Created attachment 306505 [details]
use public capability api
Comment 2 Fedora Update System 2008-06-25 08:25:33 EDT
samba-3.2.0-1.rc2.16.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-06-26 04:33:10 EDT
samba-3.2.0-1.rc2.16.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update samba'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5713

Note You need to log in before you can comment on or make changes to this bug.